import 'package:json_annotation/json_annotation.dart';

part 'download_fail_data.g.dart';

@JsonSerializable()
class DownloadFailData {
  DownloadFailData(
      {required this.objectKey, required this.uploadId, required this.error});
  final String objectKey;
  final String uploadId;
  final dynamic error;

  factory DownloadFailData.fromJson(Map<String, dynamic> json) =>
      _$DownloadFailDataFromJson(json);
  Map<String, dynamic> toJson() => _$DownloadFailDataToJson(this);
}
