import 'package:aliyun_oss_platform_interface/aliyun_oss_platform_interface.dart';

typedef DownloadInitListener = void Function(DownloadInitData initData);
typedef DownloadProgressListener = void Function(DownloadProgressData progressData);
typedef DownloadSuccessListener = void Function(DownloadSuccessData successData);
typedef DownloadFailListener = void Function(DownloadFailData failData);
typedef DownloadPauseListener = void Function(String objectKey);
typedef DownloadResumeListener = void Function(String objectKey);

class DownloadMethodCallListener {
  DownloadMethodCallListener({
    this.initListener,
    this.progressListener,
    this.successListener,
    this.failListener,
    this.pauseListener,
    this.resumeListener,
  });

  final DownloadInitListener? initListener;
  final DownloadProgressListener? progressListener;
  final DownloadSuccessListener? successListener;
  final DownloadFailListener? failListener;
  final DownloadPauseListener? pauseListener;
  final DownloadResumeListener? resumeListener;
}
