import 'package:json_annotation/json_annotation.dart';

part 'download_progress_data.g.dart';

@JsonSerializable()
class DownloadProgressData {
  DownloadProgressData({
    required this.objectKey,
    required this.uploadId,
    required this.bytesSent,
    required this.totalBytesSent,
    required this.totalBytesExpectedToSend,
  });
  final String objectKey;
  final String uploadId;
  final int bytesSent;
  final int totalBytesSent;
  final int totalBytesExpectedToSend;

  factory DownloadProgressData.fromJson(Map<String, dynamic> json) =>
      _$DownloadProgressDataFromJson(json);
  Map<String, dynamic> toJson() => _$DownloadProgressDataToJson(this);
}
