import 'package:json_annotation/json_annotation.dart';

part 'download_success_data.g.dart';

@JsonSerializable()
class DownloadSuccessData {
  DownloadSuccessData({
    required this.objectKey,
    required this.uploadId,
    required this.result,
  });
  final String objectKey;
  final String uploadId;
  final dynamic result;

  factory DownloadSuccessData.fromJson(Map<String, dynamic> json) =>
      _$DownloadSuccessDataFromJson(json);
  Map<String, dynamic> toJson() => _$DownloadSuccessDataToJson(this);
}
