import 'package:json_annotation/json_annotation.dart';

part 'upload_fail_data.g.dart';

@JsonSerializable()
class UploadFailData {
  UploadFailData(
      {required this.objectKey,
      required this.uuid,
      required this.uploadId,
      required this.error});
  final String objectKey;
  final String uuid;
  final String? uploadId;
  final dynamic error;

  factory UploadFailData.fromJson(Map<String, dynamic> json) =>
      _$UploadFailDataFromJson(json);
  Map<String, dynamic> toJson() => _$UploadFailDataToJson(this);
}
