import 'package:aliyun_oss_platform_interface/aliyun_oss_platform_interface.dart';

typedef UploadInitListener = void Function(UploadInitData initData);
typedef UploadProgressListener = void Function(UploadProgressData progressData);
typedef UploadSuccessListener = void Function(UploadSuccessData successData);
typedef UploadFailListener = void Function(UploadFailData failData);
typedef UploadPauseListener = void Function(String objectKey);
typedef UploadResumeListener = void Function(String objectKey);

class UploadMethodCallListener {
  UploadMethodCallListener({
    this.initListener,
    this.progressListener,
    this.successListener,
    this.failListener,
    this.pauseListener,
    this.resumeListener,
  });

  final UploadInitListener? initListener;
  final UploadProgressListener? progressListener;
  final UploadSuccessListener? successListener;
  final UploadFailListener? failListener;
  final UploadPauseListener? pauseListener;
  final UploadResumeListener? resumeListener;
}
