import 'package:json_annotation/json_annotation.dart';

part 'oss_federation_token.g.dart';

@JsonSerializable()
class OSSFederationToken {
  final String tempAk;
  final String tempSk;
  final String securityToken;
  final int expiration;

  OSSFederationToken(
      this.tempAk, this.tempSk, this.securityToken, this.expiration);

  factory OSSFederationToken.fromJson(Map<String, dynamic> json) =>
      _$OSSFederationTokenFromJson(json);
  Map<String, dynamic> toJson() => _$OSSFederationTokenToJson(this);
}
