import 'package:json_annotation/json_annotation.dart';

part 'download_init_data.g.dart';

@JsonSerializable()
class DownloadInitData {
  DownloadInitData({
    required this.filePath,
    required this.objectKey,
  });

  final String filePath;

  final String objectKey;

  factory DownloadInitData.fromJson(Map<String, dynamic> json) =>
      _$DownloadInitDataFromJson(json);
  Map<String, dynamic> toJson() => _$DownloadInitDataToJson(this);
}
