import 'oss_credential_provider.dart';
import 'oss_federation_token.dart';

import 'package:json_annotation/json_annotation.dart';

part 'oss_plain_text_aksk_credential_provider.g.dart';

@Deprecated("It is not safe to save key and secret in application client.")
@JsonSerializable()
class OSSPlainTextAKSKCredentialProvider implements OSSCredentialProvider {
  final String accessKeyId;
  @JsonKey(name: 'secretKeyId')
  final String accessKeySecret;

  OSSPlainTextAKSKCredentialProvider({
    required this.accessKeyId,
    required this.accessKeySecret,
  });

  @override
  OSSFederationToken? getFederationToken() => null;

  factory OSSPlainTextAKSKCredentialProvider.fromJson(
          Map<String, dynamic> json) =>
      _$OSSPlainTextAKSKCredentialProviderFromJson(json);

  @override
  Map<String, dynamic> toJson() =>
      _$OSSPlainTextAKSKCredentialProviderToJson(this);
}
